Subject: Offline Message from Paul Walters: I spoke to a woman by the name of Hsley th
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Thu, 21 Nov 2019 01:01:29 -0000

From: Paul Walters <[email-masked]>
Phone: 4796504252
Location: Norfork, United States
URL: https://swagtron.com/parts-accessories/
Department: SwagTron

I spoke to a woman by the name of Hsley that said she would send me an invoice for a charger for a Swagtron T8, but I still haven't seen it in any of my email boxes. I need to get this paid ASAP so I can get this shipped.

----
Zopim
https://www.zopim.com